- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Friends

# MRenderPassDef Class Reference

# OpenMayaRender - API module for rendering

Search for all occurrences

## Detailed Description

Render pass information.

This class provides a means to access information about a specific render pass. Initialize by passing to MRenderPassRegistry::getRenderPassDefinition(), or by calling create() to generate and register a new pass.

`#include <MRenderPassDef.h>`

List of all members.

## Public Member Functions
virtual | ~MRenderPassDef ()
| Destructor.
MPxRenderPassImpl * | getImplementation (const MString &renderer, MPxRenderPassImpl::PassTypeBit fbType, unsigned int numChannels, MStatus *ReturnStatus=NULL)
| Retrieve an implementation of this render pass for the given renderer.
MPxRenderPassImpl * | getImplementation (const MString &renderer, MStatus *ReturnStatus=NULL)
| Retrieve an implementation of this render pass for the given renderer.
MString | getID (MStatus *ReturnStatus=NULL) const
| Retrieve the pass ID for this pass.
MString | getName (MStatus *ReturnStatus=NULL) const
| Retrieve the pass name for this pass.
MString | getGroup (MStatus *ReturnStatus=NULL) const
| Retrieve the pass group for this pass.
MString | getDescription (MStatus *ReturnStatus=NULL) const
| Retrieve the description for this pass.
MString | getAttributeType (const MString &attributeName, MStatus *ReturnStatus=NULL) const
| Retrieve the type of a given render pass attribute.
MStatus | addFloatParameter (const MString &longName, const MString &shortName, const MString &UIName, const float &minValue, const float &maxValue, const float &defaultValue)
| Define a single-precision floating-point parameter for the pass.
MStatus | addDoubleParameter (const MString &longName, const MString &shortName, const MString &UIName, const double &minValue, const double &maxValue, const double &defaultValue)
| Define a double-precision floating-point parameter for the pass.
MStatus | addIntParameter (const MString &longName, const MString &shortName, const MString &UIName, const int &minValue, const int &maxValue, const int &defaultValue)
| Define an integer parameter for the pass.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.
## Friends
class | MRenderPassRegistry Search for all occurrences
class | MFnPlugin Search for all occurrences

## Member Function Documentation

MPxRenderPassImpl * getImplementation | ( | const MString & | renderer,
|  | MPxRenderPassImpl::PassTypeBit | fbType,
|  | unsigned int | numChannels,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Retrieve an implementation of this render pass for the given renderer.

That supports the specified data type and the specified number of channels.

Parameters:

  [in] | renderer | The renderer
  [in] | fbType | The base data type of the frame buffer
  [in] | numChannels | The number of components per pixel in the frame buffer
  [out] | ReturnStatus | Status code

Returns:
  A pointer to the pass implementation or null if no definition exists

Status Codes:
  - MS::kSuccess The implementation was retrieved
  - MS::kFailure An object error has occured

MPxRenderPassImpl * getImplementation | ( | const MString & | renderer,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Search for all occurrences

Retrieve an implementation of this render pass for the given renderer.

Parameters:

  [in] | renderer | The renderer
  [out] | ReturnStatus | Status code

Returns:
  A pointer to the pass implementation or null if no definition exists

Status Codes:
  - MS::kSuccess The implementation was retrieved
  - MS::kFailure An object error has occured

MString getID | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieve the pass ID for this pass.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The pass ID

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MString getName | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieve the pass name for this pass.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The pass name

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MString getGroup | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieve the pass group for this pass.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The pass group

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MString getDescription | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Retrieve the description for this pass.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  The description

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MString getAttributeType | ( | const MString & | attributeName,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  | const

Search for all occurrences

Retrieve the type of a given render pass attribute.

Parameters:

  [in] | attributeName | The name of the render pass attribute to query.
  [out] | ReturnStatus | Status code.

Returns:
  The type of the given attribute.

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MStatus addFloatParameter | ( | const MString & | longName,
|  | const MString & | shortName,
|  | const MString & | UIName,
|  | const float & | minValue,
|  | const float & | maxValue,
|  | const float & | defaultValue
| ) |  |

Search for all occurrences

Define a single-precision floating-point parameter for the pass.

Parameters:

  [in] | longName | The full name of the parameter
  [in] | shortName | The short name of the parameter
  [in] | UIName | Name to display in UI for the parameter
  [in] | minValue | The minimum value of the parameter
  [in] | maxValue | The maximum value of the parameter
  [in] | defaultValue | The default value of the parameter

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MStatus addDoubleParameter | ( | const MString & | longName,
|  | const MString & | shortName,
|  | const MString & | UIName,
|  | const double & | minValue,
|  | const double & | maxValue,
|  | const double & | defaultValue
| ) |  |

Search for all occurrences

Define a double-precision floating-point parameter for the pass.

Parameters:

  [in] | longName | The full name of the parameter
  [in] | shortName | The short name of the parameter
  [in] | UIName | Name to display in UI for the parameter
  [in] | minValue | The minimum value of the parameter
  [in] | maxValue | The maximum value of the parameter
  [in] | defaultValue | The default value of the parameter

Returns:
  Status

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

MStatus addIntParameter | ( | const MString & | longName,
|  | const MString & | shortName,
|  | const MString & | UIName,
|  | const int & | minValue,
|  | const int & | maxValue,
|  | const int & | defaultValue
| ) |  |

Search for all occurrences

Define an integer parameter for the pass.

Parameters:

  [in] | longName | The full name of the parameter
  [in] | shortName | The short name of the parameter
  [in] | UIName | Name to display in UI for the parameter
  [in] | minValue | The minimum value of the parameter
  [in] | maxValue | The maximum value of the parameter
  [in] | defaultValue | The default value of the parameter

Returns:
  Status

Status Codes:
  - MS::kSuccess The method was successful
  - MS::kFailure An object error has occured

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef
MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef MRenderPassDef